import { jsx as s } from "@emotion/react/jsx-runtime";
import { useBase as f } from "@m4l/core";
import { getSize as o } from "../../utils/getSize/index.js";
import { PageNodeRootStyled as h } from "../../slots/PrintingSystemSlots.js";
const l = (m) => {
  const {
    children: r,
    style: a = {},
    width: g = "auto",
    height: e = "auto",
    paddingTop: i = "unset",
    paddingRight: n = "unset",
    paddingBottom: d = "unset",
    paddingLeft: p = "unset",
    gap: u = "unset"
  } = m, { unitSize: t } = f();
  return /* @__PURE__ */ s(
    h,
    {
      style: {
        width: o(g, t),
        gap: o(u, t),
        height: o(e, t),
        minWidth: o(g, t),
        minHeight: typeof e == "number" ? `${e}${t}` : e,
        paddingTop: typeof i == "number" ? `${i}${t}` : i,
        paddingRight: typeof n == "number" ? `${n}${t}` : n,
        paddingBottom: typeof d == "number" ? `${d}${t}` : d,
        paddingLeft: typeof p == "number" ? `${p}${t}` : p,
        ...a
      },
      children: r
    }
  );
};
export {
  l as PageNode
};
